#ifndef DATABASE_H
#define DATABASE_H

#include <QObject>
#include <QDomDocument>
#include <QMenuBar>
#include <QMenu>

class DataBase : public QObject
{
    Q_OBJECT
public:
    explicit DataBase(QObject *parent = 0);
    
    void loadData(QString fileName);
    void process();
    void processMenuBar(QDomElement);
    QMenuBar* menuBar(QDomElement n);
    void processMenu(QDomElement, QMenu* parentMenu, QMenuBar*);
    bool processItem(QDomElement, int pos, QStringList titles);
    QVector<QMenuBar*> getMenuBars(){ return m_menuBar; }
    QVector<QDomElement> getDomMenuBars(){ return m_domMenuBar; }

protected:
    QDomDocument m_data;
    QVector<QMenuBar*> m_menuBar;
    QVector<QDomElement> m_domMenuBar;

};

#endif // DATABASE_H
