#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QDockWidget>
#include <QScrollArea>
#include <QVector>
#include <QMenuBar>
#include <QDomElement>

#include "DataBase.h"

class MainWindow : public QMainWindow
{
    Q_OBJECT
public:
    explicit MainWindow(QWidget *parent = 0);
    void loadMenuBars(QVector<QMenuBar*> );
    void loadDomMenuBars();
    void setDataBase(DataBase* db){ m_dataBase = db; }

signals:
    void clicked(int i);

public slots:
    void activateMenuBar(int i);
    void decreaseZoom();
    void increaseZoom();
    void zoom();

protected:
    QDockWidget *m_dockWidget;
    QScrollArea *m_scrollArea;
    QVector<QMenuBar*> m_menuBars;
    QVector<QDomElement> m_domMenuBars;
    float m_zoomLevel;
    DataBase *m_dataBase;
    QWidget* sheet;
    QPixmap pix;
};

#endif // MAINWINDOW_H
