#include <QPainter>
#include <QPen>
#include <QBrush>

#include "MenuM.h"

QMap<QString,float> MenuM::frequency;

QColor getColor(float v1)
{
    float v = v1/0.6;
    double smallHue = QColor(Qt::yellow).hsvHueF();
    double bigHue = QColor(Qt::red).hsvHueF();
    double colorHue = (1.-v) * smallHue + v * bigHue;
    QColor c = QColor::fromHsvF(colorHue, 1, 1).toRgb();
    c.setAlpha(20.+v*255.);
    return c;
}


MenuM::MenuM(QMenu *copy, QWidget *parent) :
    QMenu(parent)
{
    //m_action = new QAction(copy->menuAction()->text(),0);
    //m_action->setMenu(this);
    addActions(copy->actions());
    this->setTitle(copy->title());
}

void MenuM::paintEvent(QPaintEvent *event)
{
    //MenuData* md = OptiDesigner::instance()->menuData(this);
    //if(md){
    //    md->showSuggestions();
    //}

    QMenu::paintEvent(event);
    QPainter p(this);

    foreach (QAction *a, actions()) {
           QRect g = actionGeometry(a);
           g.adjust(1,1,-2,-2);
           const QString name = a->text();
           if(frequency.contains(name)){
               QColor c = getColor(frequency[name]);
               p.save();
               p.setPen(QPen(c, 1));
               c.setAlpha(c.alpha()/6.);
               p.setBrush(c);
               p.drawRect(g);

               //p.fillRect(g,QBrush(c));

               p.restore();
           }
    }

   // QMenu::paintEvent(event);
}
