#ifndef MENUVISU_H
#define MENUVISU_H
#include <QMenu>
#include <QMenuBar>
#include <QVector>
#include <QList>
#include <QWidget>
#include <QRect>
#include <QPoint>
#include <QPushButton>


class MenuVisu : public QWidget
{
    Q_OBJECT
public:

    explicit MenuVisu(QMenuBar* menuBar, QWidget *parent = 0);
    void parseMenus(QList<QMenu*>);
    QRect parseMenu(QMenu*, QPoint posParent);

signals:
    
public slots:

protected:
    void paintEvent(QPaintEvent *);

protected:
    void resetCumulSubmenu();
    void parseMenu_private(QMenu* parentMenu, QMenu* subMenu, int depth, QVector<QPoint> link);
    QRect menuBoundingBox();
    QPixmap actionPixmap(QAction*);
    void updateCumulSubmenu(int d, int y);

    QMenuBar* m_menuBar;
    QList< QMenu* > m_menus;
    QVector<int> m_cumulSubmenu;
    QMap<QMenu*,QPixmap> m_screenShot;
    QMap<QMenu*, QPoint> m_posImg;
    QMap<QMenu*, QVector<QPoint> > m_linkSubmenu;

};

#endif // MENUVISU_H
